<?php
$x_1 = kerio("webiface::PhpSession"); 
if (!$x_1) { 
$x_2 = '/nonauth/login.php'; 
$x_9z = kerio('webiface::PhpNonAuth'); 
$x_9z->encodeUrl('/star/', &$x_16e); 
$x_2 .= '?dest='.$x_16e.'&internal=1'; 
header('HTTP/1.0 302 Found'); 
header('location: '.$x_2); 
die('You are not logged. Please, go to <a href="'.$x_2.'">login</a>!'); 
} 
else { 
$x_1->setSessionVariable('afs', 1); 
$x_2 = '../index.php'; 
header('HTTP/1.0 302 Found'); 
header('location: '.$x_2); 
die('Redirect to <a href="'.$x_2.'">STAR</a>!'); 
} 
?>
